Help with drag and drop action

Discussion of Photoshop Scripting, Photoshop Actions and Photoshop Automation in General

Moderators: Tom, Kukurykus

Mike Hale

Help with drag and drop action

Post by Mike Hale »

It's shorthand for Drag aNd Drop.

I was unaware that Firefox could do that at the start of this thread, but I still have no idea of how that could be scripted.
PSfan

Help with drag and drop action

Post by PSfan »

Ok..I found the script on another forum guys..This does just exactly what I want..

Here's the script

Code: Select all   <script>@script vbscript
Set fso = CreateObject("Scripting.FileSystemObject")
Set psApp = CreateObject("Photoshop.Application")
psApp.DisplayDialogs = 3
startRulerUnits = psApp.Preferences.RulerUnits

If ( psApp.Documents.Count > 0 ) Then
Set docRef = psApp.ActiveDocument
else

psApp.Preferences.RulerUnits = 2 &apos;ie Inches
Set docRef = psApp.Documents.Add( 10.5, 8, 300, "••• Zion •••",,3 )

end if

Function Rename_GetNewName ( strFileName, strFilePath, fIsFolder, strOldName, ByRef strNewName )
      Element =  (fso.buildpath(strFilePath, strFileName))


       id18 = psApp.CharIDToTypeID("Plc ")
       Set Desc = CreateObject( "Photoshop.ActionDescriptor" )
       id19 = psApp.CharIDToTypeID("null")
       j1 = Desc.PutPath(id19, (Element))
       id20 = psApp.CharIDToTypeID("FTcs")
       id21 = psApp.CharIDToTypeID("QCSt")
       id22 = psApp.CharIDToTypeID("Qcsa")
       j2 = Desc.PutEnumerated(id20, id21, id22)
       id23 = psApp.CharIDToTypeID("Ofst")
       Set descObj = CreateObject( "Photoshop.ActionDescriptor" )
       id24 = psApp.CharIDToTypeID("Hrzn")
       id25 = psApp.CharIDToTypeID("#Pxl")
       Call descObj.PutUnitDouble(id24, id25, 0.000000)
       id26 = psApp.CharIDToTypeID("Vrtc")
       id27 = psApp.CharIDToTypeID("#Pxl")
       j4 = descObj.PutUnitDouble(id26, id27, 0.000000)
       id28 = psApp.CharIDToTypeID("Ofst")
       j5 = Desc.PutObject(id23, id28, descObj)
       Call psApp.ExecuteAction(id18, Desc, 3)
       docRef.activeLayer.translate -x1, -y1

End Function

psApp.Preferences.RulerUnits = startRulerUnits

</script>
PSfan

Help with drag and drop action

Post by PSfan »

BTW...Credits go to ZION